import Vue from 'vue'
import Vuex from 'vuex'
import getters from './getters'

Vue.use(Vuex)

// 自动注入所有 ./modules 下的 vuex 子模块
const files = require.context('./modules', false, /\.js$/)
const modules = {}

files.keys().forEach((key) => {
	modules[key.replace(/(\.\/|\.js)/g, '')] = files(key).default
})

export default new Vuex.Store({
	devtools:false,
	modules,
	getters,
})
